{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    {
      "item": "minecraft:pumpkin"
    },
    {
      "item": "minecraft:sugar"
    },
    {
      "item": "minecraft:egg"
    }
  ],
  "result": {
    "count": 1,
    "id": "minecraft:pumpkin_pie",
    "components": {
      "minecraft:custom_data": "{donot:1}"
  }
  }
}